## com.sun.grizzly.util
Enum State

    java.lang.Object
      java.lang.Enum<State>
          com.sun.grizzly.util.State

All Implemented Interfaces:
  Serializable, Comparable<State>

    public enum State

extends Enum<State>

State enum STOPPED - Process is stopped, not running state STARTED - Process is started, running state PAUSED - Process is paused, not processing tasks

Author:
  Alexey Stashok

Enum Constant Summary
`PAUSED`
`STARTED`
`STOPPED`

Method Summary
`static State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STOPPED

    public static final State STOPPED

### STARTED

    public static final State STARTED

### PAUSED

    public static final State PAUSED

Method Detail

### values

    public static State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (State c : State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.